commit 5fb588a677bf34dc864c577ed848405752905b89
Author: Thomas Schwinge <thomas@codesourcery.com>
Date:   Thu Aug 19 08:25:47 2021

    Fix up 'gcc.dg/pr78213.c' for '--enable-checking=release' etc.
    
    Fix up for r242748 (commit 3615816da830d41f67a5d8955ae588eba7f0b6fb)
    "[PR target/78213] Do not ICE on non-empty -fself-test", as made
    apparent by recent commit a42467bdb70650cd2f421e67b6c3418f74feaec2
    "Restore 'gcc.dg/pr78213.c' testing", after the test case had gotten
    disabled in r243681 (commit ecfc21ff34ddc6f8aa517251fb51494c68ff741f)
    "Introduce selftest::locate_file" shortly after its original introduction.
    
            gcc/testsuite/
            PR testsuite/101969
            * gcc.dg/pr78213.c: Fix up for '--enable-checking=release' etc.
    
    (cherry picked from commit b7fc42073c04813f6b63e0641d3f6765424857c9)

diff --git a/gcc/testsuite/gcc.dg/pr78213.c b/gcc/testsuite/gcc.dg/pr78213.c
index 40dd3c82b60..04bf0381f76 100644
--- a/gcc/testsuite/gcc.dg/pr78213.c
+++ b/gcc/testsuite/gcc.dg/pr78213.c
@@ -8,4 +8,5 @@ int i;
   while (i--)
     bar();
 }
-/* { dg-message "fself\-test: " "-fself-test" { target *-*-* } 0 } */
+
+/* { dg-regexp {^-fself-test: [0-9]+ pass\(es\) in [.0-9]+ seconds$|.*: note: self-tests are not enabled in this build$} } */

